<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
?>


<?php get_header('v2'); ?>

<?php
$bgimage = plant_fnc_theme_options('background_404', '');
$url = '';
if (empty($bgimage) && isset($bgimage)) {
    $url = get_template_directory_uri() . '/images/404/bgr-404.jpg';
} else {
    $url = $bgimage;
}
?>

    <section class="wrap-404">
        <div class="container-fluid">
            <div class="inner" style="background-image: url('<?php echo esc_url($url); ?>');">
                <div class="content-box">
                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/404/error.png"
                         alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"
                         class="img-responsive">
                    <h3><?php echo esc_html__('THIS ISN’T THE WEB PAGE YOU ARE LOOKING FOR', 'plant'); ?></h3>
                    <div class="bot">
                        <p><?php echo esc_html__('Please try one of the following pages', 'plant'); ?></p>
                        <a class="btn-web"
                           href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__('HOME PAGE', 'plant'); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php

get_footer();

 