<?php
/**
 * The template for displaying Category pages
 *
 * @link http://engotheme.com/themes/plant
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
global $plant_page_layouts;
$plant_page_layouts = apply_filters( 'plant_fnc_get_archive_sidebar_configs', null );
$header             = plant_fnc_theme_options( 'archive_headerlayout', '' );


if ( ! empty( $header ) && isset( $header ) ) {
	get_header( $header );
} else {
	get_header( apply_filters( 'plant_fnc_get_header_layout', null ) );
}
?>
    <div id="main-container"
         class="<?php echo apply_filters( 'plant_template_main_container_class', 'container' ); ?> inner <?php echo plant_fnc_theme_options( 'blog-archive-layout' ); ?> ct-archive">
        <div class="row">
            <div id="main-content"
                 class="main-content  col-sm-12 <?php echo esc_attr( $plant_page_layouts['main']['class'] ); ?>">
                <div id="primary" class="content-area">
                    <div id="content" class="site-content" role="main">

						<?php if ( have_posts() ) : ?>
                            <header class="page-header">
								<?php
								the_archive_title( '<h1 class="page-title">', '</h1>' );
								the_archive_description( '<div class="archive-description">', '</div>' );
								?>
                            </header><!-- .page-header -->
                            <div class="blog-zigzag ">
								<?php
								$i = 0;
								while ( have_posts() ):the_post();
									$i ++; ?>
                                    <div class="item-zigzag clearfix">
                                        <div class="row">
                                            <?php if ( has_post_thumbnail() ) { ?>
                                                <div class="col-sm-6 col-xs-12 <?php if ( $i % 2 !== 0 ) {
                                                    echo esc_attr( 'col-sm-push-6' );
                                                } ?>">

                                                    <div class="post-standard">
                                                        <a href="<?php echo esc_url( get_the_permalink() ); ?>">
                                                            <figure><?php the_post_thumbnail( 'full' ); ?></figure>
                                                        </a>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>
                                            <div class="<?php if ( has_post_thumbnail() ): ?> col-sm-6 col-xs-12 feature-content <?php if ( $i % 2 !== 0 ) {
                                                echo esc_attr( 'col-sm-pull-6' );
                                            } ?> <?php else: ?> col-xs-12 feature-content <?php endif; ?>">
                                                <div class="oct_top_featured_content">
                                                    <span class="oct_day"><?php echo get_the_date( get_option( 'date_time' ) ); ?></span>
                                                </div>
                                                <h3 class="oct_blog_title"><?php if ( is_sticky() ): ?><i
                                                            class="fa fa-sticky-note"></i><?php endif; ?><a
                                                            href="<?php echo esc_url( get_the_permalink() ); ?>"><?php echo get_the_title(); ?></a>
                                                </h3>
                                                <?php if ( ! empty( get_the_excerpt() ) ): ?>
                                                    <p class="k_blog_content"><?php echo get_the_excerpt(); ?></p>
                                                <?php endif; ?>
                                                <a class="btn-web "
                                                   href="<?php echo esc_url( get_the_permalink() ); ?>"><?php echo esc_html__( 'Read More', 'plant' ); ?></a>
                                            </div>
                                        </div>
                                    </div>
								<?php endwhile; ?>
                            </div>
							<?php
							// Previous/next page navigation.
							plant_fnc_paging_nav();
							wp_reset_postdata();
						else :
							// If no content, include the "No posts found" template.
							get_template_part( 'content', 'none' );

						endif;
						?>
                    </div><!-- #content -->


                </div><!-- #primary -->
				<?php get_sidebar( 'content' ); ?>
            </div><!-- #main-content -->

			<?php if ( isset( $plant_page_layouts['sidebars'] ) && ! empty( $plant_page_layouts['sidebars'] ) ) : ?>
				<?php get_sidebar(); ?>
			<?php endif; ?>

        </div>
    </div>
<?php
get_footer();
 
