<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    plant
 * @author     ENGOTHEME Team <engotheme@gmail.com?>
 * @copyright  Copyright (C) 2018 engotheme.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  https://engotheme.com/
 * @support  https://engotheme.com/
 */

if (post_password_required()) {
    return;
}
?>
<div id="comments" class="comments">
    <header class="header-title">

            <h5 class="comments-title">
                <?php
                $comments_number = get_comments_number();
                if ( '1' === $comments_number ) {
                    /* translators: %s: post title */
                    printf( _x( 'One thought on &ldquo;%s&rdquo;', 'comments title', 'plant' ), get_the_title() );
                } else {
                    printf(
                    /* translators: 1: number of comments, 2: post title */
                        _nx(
                            '%1$s thought on &ldquo;%2$s&rdquo;',
                            '%1$s thoughts on &ldquo;%2$s&rdquo;',
                            $comments_number,
                            'comments title',
                            'plant'
                        ),
                        number_format_i18n( $comments_number ),
                        get_the_title()
                    );
                }
                ?>
            </h5>
    </header><!-- /header -->

    <?php if (have_comments()) { ?>
        <div class="pbr-commentlists">
            <ol class="commentlists">
                <?php wp_list_comments('callback=plant_fnc_theme_comment'); ?>
            </ol>
            <?php
            // Are there comments to navigate through?
            if (get_comment_pages_count() > 1 && get_option('page_comments')) :
                ?>
                <footer class="navigation comment-navigation">
                    <div class="previous"><?php previous_comments_link(esc_html__('&larr; Older Comments', 'plant')); ?></div>
                    <div class="next right"><?php next_comments_link(esc_html__('Newer Comments &rarr;', 'plant')); ?></div>
                </footer><!-- .comment-navigation -->
            <?php endif; // Check for comment navigation ?>

            <?php if (!comments_open() && get_comments_number()) : ?>
                <p class="no-comments"><?php esc_html_e('Comments are closed.', 'plant'); ?></p>
            <?php endif; ?>
        </div>
    <?php } ?>

    <?php
    $aria_req = ($req ? " aria-required='true'" : '');
    $comment_args = array(
        'title_reply' => ( esc_html__('Leave a Comment', 'plant') ),
        'comment_field' => '<div class="form-group col-xs-12">
                                                <textarea rows="8" id="comment" class="form-control"  name="comment"' . $aria_req . '></textarea>
                                            </div>',
        'fields' => apply_filters(
            'comment_form_default_fields',
            array(
                'author' => '<div class="form-group col-xs-12 col-sm-4">
                                            <label for="author">' . esc_html__('Name:', 'plant') . '</label>
                                            <input type="text" name="author" class="form-control" id="author" value="' . esc_attr($commenter['comment_author']) . '" ' . $aria_req . ' />
                                            </div>',
                'email' => ' <div class="form-group col-xs-12 col-sm-4">
                                            <label for="email">' . esc_html__('Email:', 'plant') . '</label>
                                            <input id="email" name="email" class="form-control" type="text" value="' . esc_attr($commenter['comment_author_email']) . '" ' . $aria_req . ' />
                                            </div>',
                'url' => '<div class="form-group col-xs-12 col-sm-4">
                                            <label for="url">' . esc_html__('Website:', 'plant') . '</label>
                                            <input id="url" name="url" class="form-control" type="text" value="' . esc_attr($commenter['comment_author_url']) . '"  />
                                            </div>',
            )),
        'label_submit' => esc_html__('Post Comment', 'plant'),
        'comment_notes_before' => '<div class="form-group h-info col-xs-12">' . esc_html__('Your email address will not be published.', 'plant') . '</div>',
        'comment_notes_after' => '',
    );

    if ( has_action( 'set_comment_cookies', 'wp_set_comment_cookies' ) && get_option( 'show_comments_cookies_opt_in' ) ) {
        $consent           = empty( $commenter['comment_author_email'] ) ? '' : ' checked="checked"';
        $comment_args['fields']['cookies'] = '<div class="form-group col-xs-12"><p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"' . $consent . ' />' .
            '<label for="wp-comment-cookies-consent">' . esc_html__( 'Save my name, email, and website in this browser for the next time I comment.', 'plant' ) . '</label></p></div>';

        // Ensure that the passed fields include cookies consent.
        if ( isset( $args['fields'] ) && ! isset( $args['fields']['cookies'] ) ) {
            $args['fields']['cookies'] = $comment_args['fields']['cookies'];
        }
    }

    ?>
    <?php global $post; ?>
    <?php if ('open' == $post->comment_status) { ?>
        <div class="commentform row reset-button-default">
            <div class="col-sm-12">
                <?php plant_fnc_comment_form($comment_args); ?>
            </div>
        </div><!-- end commentform -->
    <?php } ?>
</div><!-- end comments -->