<?php
/**
 * The template for displaying posts in the Quote post format
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
$quote = get_post_meta(get_the_ID(), 'plant_quote', true);

?>

<?php if (is_single()): ?>
    <div class="row">
        <div class="clearfix <?php if (class_exists('PbrThemerSetting')) {
            echo esc_attr('col-xs-12 col-lg-8 ');
        } else {
            echo esc_attr('col-xs-12');
        } ?>">
            <div class="wrap-top clearfix">
                <div class="color-content">
                    <ul class="breadcrumb">
                        <li>
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html__('Home', 'plant'); ?> </a>
                        </li>
                        <?php if (in_array('category', get_object_taxonomies(get_post_type())) && plant_fnc_categorized_blog()) : ?>
                            <li>
                                <?php echo get_the_category_list(_x(' ', 'Used between list items, there is a space after the comma.', 'plant')); ?>
                            </li>
                        <?php endif; ?>
                        <li class="active"><a
                                    href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo get_the_title(); ?></a>
                        </li>
                    </ul>
                    <h2><?php echo get_the_title(); ?></h2>
                    <div class="date">
                        <p> <?php echo esc_html__('DATE :', 'plant'); ?>
                            <span><?php echo get_the_date(get_option('date_time')); ?>    </span> <?php echo esc_html__('By :', 'plant'); ?>
                            <span><?php the_author_posts_link(); ?></span></p>
                    </div>
                </div>
                <?php if (!class_exists('PbrThemerSetting')): ?>
                    <?php if (has_post_thumbnail()): ?>
                        <div class="clearfix mb30">
                            <img class="img-responsive img-ct-600"
                                 src="<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>"
                                 alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>">
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
                <div class="contentnt">
                    <?php the_content(); ?>
                </div>
            </div>
            <?php if (!empty(get_the_tags())): ?>
                <div class="tags">
                    <?php echo get_the_tag_list('<p>' . esc_html__('Tags', 'plant') . ': ', ', ', '</p>'); ?>
                </div>
            <?php endif; ?>
        </div>
        <?php if (class_exists('PbrThemerSetting')): ?>
            <div class="col-xs-12 col-lg-4 clearfix">
                <?php if (plant_fnc_theme_options('blog-show-share-post', true) && function_exists('pbr_themer_get_template_part')) { ?>
                    <div class="text-center ct-share">
                        <div class="share">
                            <?php echo esc_html__('share', 'plant'); ?> <i
                                    class="ion-android-share-alt"></i>
                        </div>
                        <?php
                        pbr_themer_get_template_part('sharebox');
                        ?>
                    </div>
                <?php } ?>

                <?php if (has_post_thumbnail()): ?>
                    <div class="clearfix">
                        <img class="img-responsive img-ct-600"
                             src="<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>"
                             alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>">
                    </div>
                <?php endif; ?>
                <div class="sibar-left text-center">
                    <div class="img-icon">
                        <img src="<?php echo esc_url(get_template_directory_uri()) ?>/images/icon/28_BlogDetails.png"
                             alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>">
                    </div>
                    <?php echo esc_html($quote); ?>
                </div>
            </div>
        <?php endif; ?>
    </div>
<?php else: ?>
    <div class="readmore">
        <a href="<?php the_permalink(); ?>"
           title="<?php esc_attr_e('Read More', 'plant'); ?>"><?php esc_html_e('Read More', 'plant'); ?></a>
    </div>
<?php endif; ?>
