<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
if (is_404()) {
    $footer_profile = plant_fnc_theme_options('footer-404', '');
} elseif (class_exists('WooCommerce') && is_shop()) {
    $footer_profile = plant_fnc_theme_options('wc_footer_style', '');
} else {
    $footer_profile = apply_filters('plant_fnc_get_footer_profile', '');
}
?>
<?php get_sidebar('mass-footer-body'); ?>
</div><!-- #main -->
<?php do_action('plant_template_main_after'); ?>
<?php do_action('plant_template_footer_before'); ?>

<footer id="pbr-footer" class="pbr-footer footer">
    <div class="container">
        <!-- Footer content -->
        <?php if ($footer_profile) : ?>
            <div class="engo_footer_content">
                <div class="inner">
                    <?php plant_fnc_render_post_content($footer_profile); ?>
                </div>
            </div>
        <?php elseif ($footer_profile == 'none'): ?>
        <?php else: ?>
            <div class="row">
                <div class="pbr-copyright">
                    <!-- Coppyright -->
                    <div class="copyright text-center mt20 mb20">
                        <?php do_action('plant_fnc_credits'); ?>
                        <?php
                        plant_display_footer_copyright();
                        ?>
                    </div>
                    <!-- Menu footer -->
                </div>
            </div>
        <?php endif; ?>
    </div>
    <?php get_sidebar('mass-footer-body'); ?>
</footer>

<?php do_action('plant_template_footer_after'); ?>
<?php get_sidebar('offcanvas'); ?>

</div>
</div>
<?php get_template_part('page-templates/parts/modal-search'); ?>
<?php get_template_part('page-templates/parts/newsletter'); ?>

<a href="#" title="sroll" class="scrollToTop"><i class="fa fa-angle-up"></i></a>
<!-- #page -->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>