<?php
/**
 * The Header for our theme: Top has Logo left + search right . Below is horizal main menu
 *
 * Displays all of the <head> div and everything up till <div id="main">
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
$border_color = get_post_meta(get_the_ID(), 'plant_border_color_home', 1);
$class_additionclass =  get_post_meta( get_the_ID(), 'plant_additionclass', 1 );
if (isset($border_color) && !empty($border_color)) {
    $style = 'style=border-color:' . esc_attr($border_color) . '';
} else {
    $style = "";
}
?>
<div id="page" class="hfeed site" <?php echo trim($style); ?>>
    <div class="pbr-page-inner row-offcanvas row-offcanvas-left">
        <?php get_template_part('page-templates/parts/header-mobile'); ?>
        <div id="content_left" class="content-left">
            <!-- HEADER -->
            <header id="main-header" class="header-v4 hidden-sm hidden-xs">
                <div class="container-fluid">
                    <div class="inner">
                        <div class="logo-wrapper">
                            <?php get_template_part('page-templates/parts/logo'); ?>
                        </div>
                        <div class="main-menu">
                            <?php get_template_part('page-templates/parts/nav'); ?>
                        </div>
                        <div class="header-bottom">
                            <!-- Start Shopping cart -->
                            <div id="cart_top">
                                <div class="shopping-cart">
                                    <a class="btn-fix-cart" href="#">
                                        <span class="icon-cart"><?php echo esc_html__('Cart', 'plant'); ?></span>
                                    </a>
                                </div>
                            </div>
                            <!-- End Shopping cart -->
                            <!-- Start Search -->
                            <div class="search-small search">
                                <?php get_search_form(); ?>
                            </div>
                            <!-- End Search -->
                        </div>
                    </div>
                </div>
            </header>
            <!-- END HEADER -->
        </div>
        <div id="content-cart" class="bag-cart hidden-sm hidden-xs">
            <div class="fix-cart">
                <div class="widget_shopping_cart_content shopping-cart">
                    <?php woocommerce_mini_cart(); ?>
                </div>
            </div>
        </div>
        <div id="main" class="site-main page-content-mg <?php echo esc_attr($class_additionclass); ?>">
