<?php
/**
 * The Header for our theme: Top has Logo left + search right . Below is horizal main menu
 *
 * Displays all of the <head> div and everything up till <div id="main">
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
$border_color = get_post_meta(get_the_ID(), 'plant_border_color_home', 1);
$class_additionclass = get_post_meta(get_the_ID(), 'plant_additionclass', 1);
if (isset($border_color) && !empty($border_color)) {
    $style = 'style=border-color:' . esc_attr($border_color) . '';
} else {
    $style = "";
}
?>
<div id="page" class="hfeed site" <?php echo trim($style); ?>>
    <div class="pbr-page-inner row-offcanvas row-offcanvas-left">
        <header id="main-header" class="header-v9 hidden-sm hidden-xs">
            <div class="container-fluid">
                <div class="inner row">
                    <div class="main-menu col-lg-5 col-md-5">
                        <?php get_template_part('page-templates/parts/nav'); ?>
                    </div>
                    <div class="logo col-lg-2 col-md-2 text-center">
                        <?php get_template_part('page-templates/parts/logo'); ?>
                    </div>
                    <div class="header-right col-lg-5 col-md-5">
                        <div class="search-popup search_modal search">
                            <a href="#" class="tp_btn_search" data-toggle="modal" data-target=".mymodal">
                                <i class="pe-7s-search"></i>
                            </a>
                        </div>

                        <!-- Start Shopping cart -->
                        <div id="cart_top">
                            <?php do_action("plant_template_header_right"); ?>
                        </div>
                        <!-- End Shopping cart -->
                    </div>
                </div>
            </div>
        </header>

        <?php get_template_part('page-templates/parts/header-mobile'); ?>

        <?php do_action('plant_template_header_after'); ?>

        <div id="main" class="site-main <?php echo esc_attr($class_additionclass); ?>">
