<?php

class Plant_VC_Theme implements Vc_Vendor_Interface
{

    public function load()
    {


        /*********************************************************************************************************************
         *  Vertical menu
         *********************************************************************************************************************/
        $option_menu = array();
        if (is_admin()) {
            $menus = wp_get_nav_menus(array('orderby' => 'name'));
            $option_menu = array('---Select Menu---' => '');
            foreach ($menus as $menu) {
                $option_menu[$menu->name] = $menu->term_id;
            }
        }
        vc_map(array(
            "name" => esc_html__("PBR Quick Links Menu", 'plant'),
            "base" => "pbr_quicklinksmenu",
            "class" => "",
            "category" => esc_html__('PBR Widgets', 'plant'),
            'description' => esc_html__('Show Quick Links To Access', 'plant'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title", 'plant'),
                    "param_name" => "title",
                    "value" => 'Quick To Go'
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Menu", 'plant'),
                    "param_name" => "menu",
                    "value" => $option_menu,
                    "description" => esc_html__("Select menu.", 'plant')
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'plant'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'plant')
                )
            )
        ));


        /*********************************************************************************************************************
         *  Vertical menu
         *********************************************************************************************************************/

        vc_map(array(
            "name" => esc_html__("PBR Vertical MegaMenu", 'plant'),
            "base" => "pbr_verticalmenu",
            "class" => "",
            "category" => esc_html__('PBR Widgets', 'plant'),
            "params" => array(

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title", 'plant'),
                    "param_name" => "title",
                    "value" => 'Vertical Menu',
                    "admin_label" => true
                ),

                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Menu", 'plant'),
                    "param_name" => "menu",
                    "value" => $option_menu,
                    "description" => esc_html__("Select menu.", 'plant')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Position", 'plant'),
                    "param_name" => "postion",
                    "value" => array(
                        'left' => 'left',
                        'right' => 'right'
                    ),
                    'std' => 'left',
                    "description" => esc_html__("Postion Menu Vertical.", 'plant')
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'plant'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'plant')
                )
            )
        ));

        /* Heading Text Block
        ---------------------------------------------------------- */
        vc_map(array(
            'name' => esc_html__('PBR Widget Heading', 'plant'),
            'base' => 'pbr_title_heading',
            "class" => "",
            "category" => esc_html__('PBR Widgets', 'plant'),
            'description' => esc_html__('Create title for one Widget', 'plant'),
            "params" => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Widget title', 'plant'),
                    'param_name' => 'title',
                    'value' => esc_html__('Title', 'plant'),
                    'description' => esc_html__('Enter heading title.', 'plant'),
                    "admin_label" => true
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Sub title', 'plant'),
                    'param_name' => 'title_sub',
                    'value' => esc_html__('Sub Title', 'plant'),
                    'description' => esc_html__('Enter heading sub title.', 'plant'),
                    "admin_label" => true
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Heading Style", 'plant'),
                    "param_name" => "heading_style",
                    'value' => array(
                        esc_html__('Default', 'plant') => 'default',
                        esc_html__('Style 1', 'plant') => 'style-1',
                        esc_html__('Style 2', 'plant') => 'style-2',
                    ),
                    'std' => 'default'
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra class name', 'plant'),
                    'param_name' => 'el_class',
                    'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'plant')
                )
            ),
        ));

        /* Heading Text Block
        ---------------------------------------------------------- */
        vc_map(array(
            'name' => esc_html__('PBR Banner CountDown', 'plant'),
            'base' => 'pbr_banner_countdown',
            "class" => "",
            "category" => esc_html__('PBR Widgets', 'plant'),
            'description' => esc_html__('Show CountDown with banner', 'plant'),
            "params" => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Widget title', 'plant'),
                    'param_name' => 'title',
                    'value' => esc_html__('Title', 'plant'),
                    'description' => esc_html__('Enter heading title.', 'plant'),
                    "admin_label" => true
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Date Expired', 'plant'),
                    'param_name' => 'input_datetime',
                    'description' => esc_html__('Select font color', 'plant'),
                ),

                array(
                    "type" => "textarea",
                    'heading' => esc_html__('Description', 'plant'),
                    "param_name" => "descript",
                    "value" => '',
                    'description' => esc_html__('Enter description for title.', 'plant')
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Text Button', 'plant'),
                    'param_name' => 'text_link',
                    'value' => esc_html__('Shop Now','plant'),
                    'description' => esc_html__('Enter your link text', 'plant')
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Link', 'plant'),
                    'param_name' => 'link',
                    'value' => 'http://',
                    'description' => esc_html__('Enter your link to redirect', 'plant')
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra class name', 'plant'),
                    'param_name' => 'el_class',
                    'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'plant')
                ),
            ),
        ));

        /* Heading Video
                ---------------------------------------------------------- */
        vc_map(array(
            'name' => esc_html__('PBR Video', 'plant'),
            'base' => 'pbr_video',
            "class" => "",
            "category" => esc_html__('PBR Widgets', 'plant'),
            'description' => esc_html__('Show Video with banner', 'plant'),
            "params" => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Description', 'plant'),
                    'param_name' => 'description',
                    'value' => esc_html__('Description', 'plant'),
                    'description' => esc_html__('Enter description for video.', 'plant'),
                    "admin_label" => true
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Height for video', 'plant'),
                    'param_name' => 'height',
                    'value' => '394',
                    'description' => esc_html__('Enter height for video', 'plant')
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Link', 'plant'),
                    'param_name' => 'link',
                    'value' => 'https://www.youtube.com/embed/vlmP18xj5XE',
                    'description' => esc_html__('Enter link for video', 'plant')
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra class name', 'plant'),
                    'param_name' => 'el_class',
                    'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'plant')
                ),
            ),
        ));

        vc_map(array(
            'name' => esc_html__('PBR Banner with Link', 'plant'),
            'base' => 'pbr_banner',
            "class" => "",
            "category" => esc_html__('PBR Widgets', 'plant'),
            'description' => esc_html__('Show banner with image', 'plant'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Style", 'plant'),
                    "param_name" => "banner_style",
                    'value' => array(
                        esc_html__('Default', 'plant') => '',
                        esc_html__('Style 1', 'plant') => 'style-1',
                    ),
                    'std' => ''
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Title', 'plant'),
                    'param_name' => 'title',
                    'value' => '',
                    'description' => esc_html__('Enter title for banner', 'plant')
                ),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__('Link', 'plant'),
                    'param_name' => 'link',
                    'value' => '#',
                    'description' => esc_html__('Enter link for banner', 'plant')
                ),
                array(
                    "type" => "attach_image",
                    "description" => esc_html__("If you upload an image, icon will not show.", 'plant'),
                    "param_name" => "image",
                    "value" => '',
                    'heading' => esc_html__('Image for banner', 'plant')
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra class name', 'plant'),
                    'param_name' => 'el_class',
                    'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'plant')
                ),
            ),
        ));
    }
}