<?php

function plant_woocommerce_enqueue_scripts() {
	wp_enqueue_script( 'plant-woocommerce', get_template_directory_uri() . '/js/woocommerce.js', array( 'jquery', 'suggest' ), '20131022', true );
	 $script_name = 'wc-add-to-cart-variation';
    if (wp_script_is($script_name, 'registered') && !wp_script_is($script_name, 'enqueued')) {
        wp_enqueue_script($script_name);
    }
}
add_action( 'wp_enqueue_scripts', 'plant_woocommerce_enqueue_scripts' );


/**
 */
add_filter('woocommerce_add_to_cart_fragments',	'plant_fnc_woocommerce_header_add_to_cart_fragment' );

function plant_fnc_woocommerce_header_add_to_cart_fragment( $fragments ){
	global $woocommerce;
	if($woocommerce->cart->cart_contents_count > 0){
	    $str ='have';
	}else{
	    $str ='haven';
	}
    $fragments['#cart .check']='<span class="check '.esc_attr($str).' "></span>';
	$fragments['#cart .mini-cart-items.item'] ='<span class="mini-cart-items item">'.'('.esc_html($woocommerce->cart->cart_contents_count).')'.'</span>';
 	$fragments['#cart .mini-cart .amount'] = trim( $woocommerce->cart->get_cart_total() );

    return $fragments;
}

/**
 * Mini Basket
 */
if(!function_exists('plant_fnc_minibasketent')){
    function plant_fnc_minibasketent( $style='' ){
        $template =  apply_filters( 'plant_fnc_minibasketent_template', plant_fnc_get_header_layout( '' )  );

        return get_template_part( 'woocommerce/cart/mini-cart-button', $template );
    }
}
if(plant_fnc_theme_options("woo-show-minicart",true)){
	add_action( 'plant_template_header_right', 'plant_fnc_minibasketent', 30, 0 );
}
/******************************************************
 * 												   	  *
 * Hook functions applying in archive, category page  *
 *												      *
 ******************************************************/
function plant_template_woocommerce_main_container_class( $class ){
	if( is_product() ){
		$class .= ' '.  plant_fnc_theme_options('woocommerce-single-layout') ;
	}else if( is_product_category() || is_archive()  ){
		$class .= ' '.  plant_fnc_theme_options('woocommerce-archive-layout') ;
	}
	return $class;
}

add_filter( 'plant_template_woocommerce_main_container_class', 'plant_template_woocommerce_main_container_class' );
function plant_fnc_get_woocommerce_sidebar_configs( $configs='' ){

	$right = null; $left = null; $layout =null;

    if( is_product_category() || is_archive() ){
		$left  	=  plant_fnc_theme_options( 'woocommerce-archive-left-sidebar', 'sidebar-default' );
		$right 	=  plant_fnc_theme_options( 'woocommerce-archive-right-sidebar', 'sidebar-default' );
		$layout =  plant_fnc_theme_options( 'woocommerce-archive-layout', 'mainright' );
	}

	return plant_fnc_get_layout_configs( $layout, $left, $right, $configs );
}

add_filter( 'plant_fnc_get_woocommerce_sidebar_configs', 'plant_fnc_get_woocommerce_sidebar_configs', 1, 1 );

/**
 * Remove show page results which display on top left of listing products block.
 */
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
add_action( 'woocommerce_after_shop_loop', 'woocommerce_result_count', 10 );

/**
 * Processing hook layout content
 */
function plant_fnc_layout_main_class( $class ){
	$sidebar = plant_fnc_theme_options( 'woo-sidebar-show', 1 ) ;
	if( is_single() ){
		$sidebar = plant_fnc_theme_options('woo-single-sidebar-show'); ;
	}
	else {
		$sidebar = plant_fnc_theme_options('woo-sidebar-show');
	}

	if( $sidebar ){
		return $class;
	}

	return 'col-lg-12 col-md-12 col-xs-12';
}
add_filter( 'plant_woo_layout_main_class', 'plant_fnc_layout_main_class', 4 );


/**
 *
 */
function wpopal_fnc_woocommerce_archive_image(){
	if ( is_tax( array( 'product_cat', 'product_tag' ) ) && get_query_var( 'paged' ) == 0 ) {
		$thumb =  get_woocommerce_term_meta( get_queried_object()->term_id, 'thumbnail_id', true ) ;

		if( $thumb ){
			$img = wp_get_attachment_image_src( $thumb, 'full' );

			echo '<p class="category-banner"><img src="'.esc_url_raw( $img[0]).'"></p>';
		}
	}
}
add_action( 'woocommerce_archive_description', 'wpopal_fnc_woocommerce_archive_image', 9 );
/**
 *
*
*
* /**
	 *
	 */
	function plant_fncr_woocommerce_single_product_summary_outer_promotions(){
		global $product ;

		$post_id = $product->get_id();

		$wfg_enabled 	 = get_post_meta( $post_id, '_wfg_single_gift_enabled', true );
		$allowed 		 = get_post_meta( $post_id, '_wfg_single_gift_allowed', true );
		$products 		 = get_post_meta( $post_id, '_wfg_single_gift_products', true );

	  ?>
	  <?php if( $wfg_enabled && $products ) : ?>
	     <div role="alert" class="productinfo-free-gift alert alert-danger media">
	     	<div class="gifts-icon pull-left"><i class="fa fa-gift fa-2x"></i></div>
	     	<div class="gift-content media-body">
		     	<h5><?php esc_html__( 'Gifts', 'plant' ); ?></h5>
		  	 	<ul class="list-unstyled">
		  	 		<?php foreach( $products as $product_id ) :
		  	 			$_product = get_product( $product_id );
		  	 		?>
		  	 		<li class="product-gift">
		  	 			<i class="fa fa-check-square"></i>
		  	 			<?php esc_html__('Free', 'plant'); ?> <a href="<?php echo esc_url( get_permalink( $product_id ) ); ?>"><?php echo get_the_title($product_id); ?></a> - <?php echo trim( $_product->get_price_html() ); ?>
		  	 		</li>
		  	 		<?php endforeach; ?>

		  	 	</ul>
	  		</div>
    	</div>
    	<?php endif; ?>

	<?php }

	add_action( 'woocommerce_single_product_summary', 'plant_fncr_woocommerce_single_product_summary_outer_promotions', 99 );


    add_filter( 'yith_wcwl_button_label',          'plant_fnc_woocomerce_icon_wishlist'  );
    add_filter( 'yith-wcwl-browse-wishlist-label', 'plant_fnc_woocomerce_icon_wishlist_add' );


    function plant_fnc_woocomerce_icon_wishlist( $value='' ){
    	return '<i class="icon-wishlist"></i><span>'.esc_html__('Wishlist', 'plant').'</span>';
    }

    function plant_fnc_woocomerce_icon_wishlist_add(){
    	return '<i class="icon-wishlist"></i><span>'.esc_html__('Wishlist', 'plant').'</span>';
    }


remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
add_action( 'pbrthemer_woocommerce_output_related_products', 'woocommerce_output_related_products', 20 );

/**
 * Show/Hide related, upsells products
 */
function plant_woocommerce_related_upsells_products($located, $template_name) {
	$options      = get_option('pbr_theme_options');
	$content_none = get_template_directory() . '/woocommerce/content-none.php';

	if ( 'single-product/related.php' == $template_name ) {
		if ( isset( $options['wc_show_related'] ) &&
			( 1 == $options['wc_show_related'] ) ) {
			$located = $content_none;
		}
	} elseif ( 'single-product/up-sells.php' == $template_name ) {
		if ( isset( $options['wc_show_upsells'] ) &&
			( 1 == $options['wc_show_upsells'] ) ) {
			$located = $content_none;
		}
	}

	return apply_filters( 'plant_woocommerce_related_upsells_products', $located, $template_name );
}

add_filter( 'wc_get_template', 'plant_woocommerce_related_upsells_products', 10, 2 );

/**
 * Number of products per page
 */
function plant_woocommerce_shop_per_page($number) {
	$value = plant_fnc_theme_options('woo-number-page', get_option('posts_per_page'));
	if ( is_numeric( $value ) && $value ) {
		$number = absint( $value );
	}
	return $number;
}

add_filter( 'loop_shop_per_page', 'plant_woocommerce_shop_per_page' );

/**
 * Number of products per row
 */
function plant_woocommerce_shop_columns($number) {
	$value = plant_fnc_theme_options('wc_itemsrow', 3);
	if ( in_array( $value, array(2, 3, 4, 6) ) ) {
		$number = $value;
	}
	return $number;
}

add_filter( 'loop_shop_columns', 'plant_woocommerce_shop_columns' );

function plant_fnc_woocommerce_share_box() {
	if( plant_fnc_theme_options('wc_show_share_social', true) && function_exists('pbr_themer_get_template_part') ){
		pbr_themer_get_template_part( 'sharebox' );
	}
}
add_filter( 'woocommerce_single_product_summary', 'plant_fnc_woocommerce_share_box', 100 );

function plant_fnc_woocommerce_product_thumbnails_columns($number) {
	return 4;
}
add_filter('woocommerce_product_thumbnails_columns', 'plant_fnc_woocommerce_product_thumbnails_columns');

function plant_woocommerce_show_product_thumbnails( $layout ){
	$layout = $layout.'-h';
	return $layout;
}

add_filter( 'pbrthemer_woocommerce_show_product_thumbnails', 'plant_woocommerce_show_product_thumbnails'  );

function plant_woocommerce_show_product_images( $layout ){
	$layout = $layout.'-h';
	return $layout;
}

add_filter( 'pbrthemer_woocommerce_show_product_images', 'plant_woocommerce_show_product_images'  );

function plant_single_product_config( $productConfig ){
	return array(
	  'product_enablezoom'         => 1,
	  'product_zoommode'           => 'inner',
	  'product_zoomeasing'         => 1,
	  'product_zoomlensshape'      => "round",
	  'product_zoomlenssize'       => "150",
	  'product_zoomgallery'        => 0,
	  'enable_product_customtab'   => 0,
	  'product_customtab_name'     => '',
	  'product_customtab_content'  => '',
	  'product_related_column'     => 0,
	);
}
add_filter('pbrthemer_single_product_config', 'plant_single_product_config' );

add_action( 'woocommerce_single_product_summary', 'plant_pre_tag_short_description', 19.9999 );
if ( ! function_exists( 'plant_pre_tag_short_description' ) ) {

	function plant_pre_tag_short_description() {
		?>
			<div class="product_ctn_bottom">
		<?php
	}
}

add_action( 'woocommerce_single_product_summary', 'plant_pre_tag_share', 99.9999 );
if ( ! function_exists( 'plant_pre_tag_share' ) ) {

	function plant_pre_tag_share() {
		?>
			<div class="product_ctn_share">
		<?php
	}
}


add_action( 'woocommerce_single_product_summary', 'plant_after_tag_short_description', 10.0001 );
add_action( 'woocommerce_single_product_summary', 'plant_after_tag_short_description', 40.0001 );
if ( ! function_exists( 'plant_after_tag_short_description' ) ) {

	function plant_after_tag_short_description() {
		?>
			</div>
		<?php
	}
}

function plant_woocommerce_get_product_thumbnail( $size = 'shop_catalog', $deprecated1 = 0, $deprecated2 = 0 ) {
	global $post;
	$image_size = apply_filters( 'single_product_archive_thumbnail_size', $size );

	if ( has_post_thumbnail() ) {
		$props = wc_get_product_attachment_props( get_post_thumbnail_id(), $post );
		return get_the_post_thumbnail( $post->ID, $image_size, array(
			'title'	 => $post->post_title,
			'alt'    => $post->post_title,
		) );
	} elseif ( wc_placeholder_img_src() ) {
		return wc_placeholder_img( $image_size );
	}
}

function plant_woocommerce_template_loop_product_thumbnail() {
	echo plant_woocommerce_get_product_thumbnail();
}