<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */

get_header(apply_filters('plant_fnc_get_header_layout', null)); ?>
<?php do_action('plant_template_main_before'); ?>
    <div id="main-container"
         class="<?php echo apply_filters('plant_template_main_container_class', 'container'); ?> inner">
        <div class="row">
            <div id="main-content" class="main-content <?php if (is_active_sidebar('sidebar-default')): ?>col-lg-9<?php endif; ?> col-xs-12">
                <div id="primary" class="content-area">
                    <div id="content" class="site-content" role="main">

                        <?php
                        if (have_posts()) : ?>
                            <div class="blog-zigzag ">
                                <?php
                                $i = 0;
                                while (have_posts()):the_post();
                                    $i++; ?>
                                    <div class="item-zigzag clearfix">
                                        <div class="row">
                                            <?php if (has_post_thumbnail()) { ?>
                                                <div class="col-sm-6 col-xs-12 <?php if ($i % 2 !== 0) {
                                                    echo esc_attr('col-sm-push-6');
                                                } ?>">

                                                    <div class="post-standard">
                                                        <a href="<?php echo esc_url(get_the_permalink()); ?>">
                                                            <figure><?php the_post_thumbnail('full'); ?></figure>
                                                        </a>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>
                                            <div class="<?php if (has_post_thumbnail()): ?> col-sm-6 col-xs-12 feature-content <?php if ($i % 2 !== 0) {
                                                echo esc_attr('col-sm-pull-6');
                                            } ?> <?php else: ?> col-xs-12 feature-content <?php endif; ?>">
                                                <div class="oct_top_featured_content">
                                                    <span class="oct_day"><?php echo get_the_date(get_option('date_time')); ?></span>
                                                </div>
                                                <h3 class="oct_blog_title"><?php if (is_sticky()): ?><i
                                                            class="fa fa-sticky-note"></i><?php endif; ?><a
                                                            href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo get_the_title(); ?></a>
                                                </h3>
                                                <?php if (!empty(get_the_excerpt())): ?>
                                                    <p class="k_blog_content"><?php echo get_the_excerpt(); ?></p>
                                                <?php endif; ?>
                                                <a class="btn-web "
                                                   href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html__('Read More', 'plant'); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                            </div>
                            <?php
                            // Previous/next post navigation.
                            plant_fnc_paging_nav();

                        else :
                            // If no content, include the "No posts found" template.
                            get_template_part('content', 'none');

                        endif;
                        ?>

                    </div><!-- #content -->
                </div><!-- #primary -->
                <?php get_sidebar('content'); ?>
            </div><!-- #main-content -->
            <?php if (is_active_sidebar('sidebar-default')) { ?>
                <div class="sidebar wpo-sidebar col-lg-3 col-xs-12">
                    <?php dynamic_sidebar('sidebar-default'); ?>
                </div>
            <?php } ?>
        </div>
    </div>
<?php get_footer();