<?php
$image = plant_fnc_theme_options('newsletter_image', '');
$title = plant_fnc_theme_options('newsletter_title', '');
$subtitle = plant_fnc_theme_options('newsletter_subtitle', '');
$desc = plant_fnc_theme_options('newsletter_desc', '');
$form = plant_fnc_theme_options('newsletter_form', '');
$image_link = (isset($image) && $image) ? $image : get_template_directory_uri() . '/images/bg/bg_newsletter.png';
if (!empty($form)):
    ?>
    <div class="popupnewsletter">
        <button type="button" class="btn btn-primary btn-flying-right" data-toggle="modal"
                data-target="#popupNewsletterModal">
            <i class="fa fa-envelope-o"></i>
        </button>
        <!-- Modal -->
        <div class="modal fade newsletter open" id="popupNewsletterModal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <div id="newsletter_popup" class="newsletter open">
                            <div class="newsletter-modal show">
                                <div class="newsletter-content">
                                    <button type="button" class="close-btn newsletter-close" data-dismiss="modal"><span
                                                class="pe-7s-close"></span></button>
                                    <div class="newsletter-detail">
                                        <div class="row">
                                            <div class="col-md-5 col-sm-5 hidden-xs">
                                                <div class="newsletter-img">
                                                    <img src="<?php echo esc_url($image_link); ?>"
                                                         alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>">
                                                </div>
                                            </div>
                                            <div class="col-md-7 col-sm-7">
                                                <div class="newsletter-infor text-center">
                                                    <div class="title">
                                                    <span>
                                                        <?php if (!empty($title)) { ?>
                                                            <?php echo esc_html($title); ?>
                                                        <?php } ?>
                                                    </span>
                                                    </div>
                                                    <div class="sub-title">
                                                        <?php if (!empty($subtitle)) { ?>
                                                            <?php echo esc_html($subtitle); ?>
                                                        <?php } ?>
                                                    </div>
                                                    <div class="desc">
                                                        <?php if (!empty($desc)) { ?>
                                                            <?php echo esc_html($desc); ?>
                                                        <?php } ?>
                                                    </div>
                                                    <?php if (!empty($form)) { ?>
                                                        <?php echo do_shortcode($form); ?>
                                                    <?php } ?>
                                                    <a href="#"
                                                       class="newsletter-close"><?php echo esc_html__('No thanks', 'plant'); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>