<?php
/**
 * The template for displaying Search Results pages
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */

get_header('default'); ?>
    <div class="container">
        <div id="primary" class="content-area inner ct-archive">
            <div id="content" class="site-content" role="main">

                <?php if (have_posts()) : ?>

                    <header class="page-header">
                        <h1 class="page-title"><?php printf(esc_html__('Search Results for: %s', 'plant'), get_search_query()); ?></h1>
                    </header><!-- .page-header -->

                    <div class="blog-col gallery_1 clearfix">
                        <div class="blog-zigzag ">
                            <?php
                            $i = 0;
                            while (have_posts()):the_post();
                                $i++; ?>
                                <div class="item-zigzag clearfix">
                                    <div class="row">
                                        <?php if (has_post_thumbnail()) { ?>
                                            <div class="col-sm-6 col-xs-12 <?php if ($i % 2 !== 0) {
                                                echo esc_attr('col-sm-push-6');
                                            } ?>">

                                                <div class="post-standard">
                                                    <a href="<?php echo esc_url(get_the_permalink()); ?>">
                                                        <figure><?php the_post_thumbnail('full'); ?></figure>
                                                    </a>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        ?>
                                        <div class="<?php if (has_post_thumbnail()): ?> col-sm-6 col-xs-12 feature-content <?php if ($i % 2 !== 0) {
                                            echo esc_attr('col-sm-pull-6');
                                        } ?> <?php else: ?> col-xs-12 feature-content <?php endif; ?>">
                                            <div class="oct_top_featured_content">
                                                <span class="oct_day"><?php echo get_the_date(get_option('date_time')); ?></span>
                                            </div>
                                            <h3 class="oct_blog_title"><?php if (is_sticky()): ?><i
                                                        class="fa fa-sticky-note"></i><?php endif; ?><a
                                                        href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo get_the_title(); ?></a>
                                            </h3>
                                            <?php if (!empty(get_the_excerpt())): ?>
                                                <p class="k_blog_content"><?php echo get_the_excerpt(); ?></p>
                                            <?php endif; ?>
                                            <a class="btn-web "
                                               href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html__('Read More', 'plant'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                        </div>
                    </div>
                    <?php
                    plant_fnc_paging_nav();
                    ?>
                <?php
                else :
                    // If no content, include the "No posts found" template.
                    get_template_part('content', 'none');

                endif;
                ?>

            </div><!-- #content -->
        </div><!-- #primary -->
    </div>

<?php
get_sidebar('content');
get_footer();
