<?php
/**
 * The Template for displaying all single posts
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */
$plant_page_layouts = apply_filters('plant_fnc_get_single_sidebar_configs', null);

get_header(apply_filters('plant_fnc_get_header_layout', null));

$ids = get_post_meta(get_the_ID(), 'plant_image_files');

$output = array();

foreach ($ids as $id) {
    $image = wp_get_attachment_image_src($id, 'full');
    $output = $image[0];
}
?>
    <div id="main-container"
         class="<?php echo apply_filters('plant_template_main_content_class', plant_fnc_theme_options('blog-single-layout')); ?>">
        <div class="banner-blog banner-blog-details <?php if (!empty($output)) {
            echo esc_attr('has_banner');
        } ?>" <?php if (!empty($output)): ?> style="background-image: url('<?php echo esc_url($output); ?>')" <?php endif; ?>>
        </div>

        <div class="container">
            <div class="row">
                <div class="blog-details col-xs-12 <?php echo esc_attr($plant_page_layouts['main']['class']); ?>">
                    <div class="cvt-breadcrumbs clearfix">
                        <?php
                        // Start the Loop.
                        while (have_posts()) :
                            the_post(); ?>
                            <?php get_template_part('content', get_post_format()); ?>
                            <div class="pagination-single clearfix">
                                <?php
                                wp_link_pages(array(
                                    'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'plant') . '</span>',
                                    'after' => '</div>',
                                    'link_before' => '<span>',
                                    'link_after' => '</span>',
                                ));
                                ?>
                            </div>
                        <?php endwhile; ?>
                        <?php
                        if (plant_fnc_theme_options('blog-show-related-post', false)): ?>
                            <div class="related-posts">
                                <?php
                                $relate_count = plant_fnc_theme_options('blog-items-show', 3);
                                plant_fnc_related_post($relate_count, 'post', 'category');
                                ?>
                            </div>
                        <?php endif; ?>

                        <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                        if (comments_open() || get_comments_number()) { ?>
                            <div class="warp-comment">
                                <?php comments_template(); ?>
                            </div>
                        <?php } ?>
                    </div>
                    <?php if (isset($plant_page_layouts['sidebars']) && !empty($plant_page_layouts['sidebars'])) : ?>
                        <?php get_sidebar(); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php
get_footer();
