<?php
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$grid_link = $grid_layout_mode = $title = $filter = '';
$posts = array();

$layout = '';

$query_string = str_replace('|','&',$atts['loop']);
$query_string = str_replace(':','=',$query_string);
$query_string = str_replace('size','posts_per_page',$query_string);

parse_str($query_string, $query_array);


if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
$query_array['paged'] = $paged;
$post_per_page = $query_array['posts_per_page'];

$loop = new WP_Query($query_array);

if ($loop->have_posts()):
    if ($style == 'masony'):
        ?>
        <div class=" blog-col gallery_1 clearfix <?php echo(($el_class != '') ? ' ' . esc_attr($el_class) : ''); ?>">
            <div class="container">
                <?php
                if ($title != '') { ?>
                    <h3 class="widget-title">
                        <span><?php echo trim($title); ?></span>
                    </h3>
                <?php }
                $_count = 0;

                $colums = $grid_columns;
                $bscol = floor(12 / $colums);

                ?>

                <div class="gallery gallery-restaurant">
                    <!-- GALLERY CONTENT -->
                    <div class="gallery-content">
                        <div class="row">
                            <div class="gallery-isotope blog-col-3 section-blog-list clearfix">
                                <!-- ITEM SIZE -->
                                <div class="item-size item-size-<?php echo esc_html($bscol); ?>"></div>
                                <!-- END / ITEM SIZE -->
                                <!-- ITEM -->
                                <?php
                                while ($loop->have_posts()):
                                    $loop->the_post(); ?>
                                    <?php $thumbsize = isset($thumbsize) ? $thumbsize : 'thumbnail';
                                    ?>
                                    <div class="item-isotope">
                                        <div class="wrap-blog">
                                            <?php
                                            if (has_post_thumbnail()) {
                                                ?>
                                                <div class="box-img">
                                                    <a href="<?php echo esc_url(get_the_permalink()); ?>"
                                                       class="lightbox">
                                                        <?php the_post_thumbnail($thumbsize); ?>
                                                    </a>
                                                </div>
                                                <?php
                                            }
                                            ?>
                                            <div class="entry-content">
                                                <div class="entry-between">
                                                    <?php if (in_array('category', get_object_taxonomies(get_post_type())) && plant_fnc_categorized_blog()) : ?>
                                                        <span class="label">
                                            <?php echo get_the_category_list(_x(' ', 'Used between list items, there is a space after the comma.', 'plant')); ?>
                                        </span>
                                                    <?php endif; ?>
                                                    <?php if (comments_open()): ?>
                                                        <span class="comment"><?php comments_popup_link(esc_html__('0', 'plant'), esc_html__(' 1', 'plant'), esc_html__('%', 'plant')); ?></span>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="entry-meta">
                                                    <div class="entry-date">
                                                        <p class="date"><?php echo get_the_date(get_option('date_time')); ?></p>
                                                    </div>
                                                    <div class="entry-title">
                                                        <a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                                <!-- END / ITEM -->
                            </div>
                            <div class="text-center">
                                <a class="btn-web-1 btn-web js-loadmore" href="!#"
                                   data-paged="<?php echo esc_attr($paged); ?>"
                                   data-max_num="<?php echo esc_attr($loop->max_num_pages); ?>"
                                   data-display="<?php echo esc_attr($style); ?>"
                                   data-limit="<?php echo esc_attr($post_per_page); ?>"
                                ><i
                                            class="fa fa-refresh fa-spin "></i><?php echo esc_html__('Load More', 'plant'); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                    <!-- GALLERY CONTENT -->
                </div>
            </div>
        </div>
    <?php elseif ($style == 'zigzag'): ?>
        <div class="blog-zigzag ">
            <div class="row">
                <?php
                $i = 0;
                while ($loop->have_posts()):
                    $loop->the_post();
                    $i++; ?>
                    <?php $thumbsize = isset($thumbsize) ? $thumbsize : 'thumbnail';
                    ?>
                    <div class="item-zigzag clearfix">
                        <div class="row">
                            <?php if ( has_post_thumbnail() ) { ?>
                                <div class="col-sm-6 col-xs-12 <?php if ( $i % 2 !== 0 ) {
                                    echo esc_attr( 'col-sm-push-6' );
                                } ?>">

                                    <div class="post-standard">
                                        <a href="<?php echo esc_url( get_the_permalink() ); ?>">
                                            <figure><?php the_post_thumbnail( 'full' ); ?></figure>
                                        </a>
                                    </div>
                                </div>
                                <?php
                            }
                            ?>
                            <div class="<?php if ( has_post_thumbnail() ): ?> col-sm-6 col-xs-12 feature-content <?php if ( $i % 2 !== 0 ) {
                                echo esc_attr( 'col-sm-pull-6' );
                            } ?> <?php else: ?> col-xs-12 feature-content <?php endif; ?>">
                                <div class="oct_top_featured_content">
                                    <span class="oct_day"><?php echo get_the_date( get_option( 'date_time' ) ); ?></span>
                                </div>
                                <h3 class="oct_blog_title"><?php if ( is_sticky() ): ?><i
                                            class="fa fa-sticky-note"></i><?php endif; ?><a
                                            href="<?php echo esc_url( get_the_permalink() ); ?>"><?php echo get_the_title(); ?></a>
                                </h3>
                                <?php if ( ! empty( get_the_excerpt() ) ): ?>
                                    <p class="k_blog_content"><?php echo get_the_excerpt(); ?></p>
                                <?php endif; ?>
                                <a class="btn-web "
                                   href="<?php echo esc_url( get_the_permalink() ); ?>"><?php echo esc_html__( 'Read More', 'plant' ); ?></a>
                            </div>
                        </div>
                    </div>
                <?php endwhile; ?>
                <div class="load-more-content"></div>
                <div class="text-center">
                    <a class="btn-web-1 btn-web js-loadmore" href="!#"
                       data-paged="<?php echo esc_attr($paged); ?>"
                       data-max_num="<?php echo esc_attr($loop->max_num_pages); ?>"
                       data-display="<?php echo esc_attr($style); ?>"
                       data-limit="<?php echo esc_attr($post_per_page); ?>"
                    ><i
                                class="fa fa-refresh fa-spin "></i><?php echo esc_html__('Load More', 'plant'); ?>
                    </a>
                </div>
            </div>
        </div>
    <?php else: ?>

        <div class="body-blog-listing">
            <?php
            while ($loop->have_posts()):
                $loop->the_post();
                ?>
                <div class="item-blog clearfix">
                    <div class="info">
                        <div class="oct_comment">
                        <span class="author-line clearfix"><?php echo esc_html__('By', 'plant'); ?>
                            <?php echo get_the_author(); ?>
                             </span> <?php comments_popup_link(esc_html__('0 comments', 'plant'), esc_html__(' 1 comment', 'plant'), esc_html__('% comments', 'plant')); ?>
                        </div>
                        <a class="title"
                           href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo get_the_title(); ?></a>
                    </div>
                    <div class="date">
                        <p class="time-post"><?php echo get_the_date('d'); ?>
                            <span><?php echo get_the_date('M'); ?></span></p>
                    </div>
                </div>
            <?php endwhile; ?>
            <?php if (isset($show_pagination) && $show_pagination): ?>
                <div class="page_nav">
                    <?php plant_fnc_pagination_custom_nav($post_per_page, $loop->found_posts, $loop->max_num_pages); ?>
                </div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
<?php endif; ?>

<?php wp_reset_postdata();

