<?php
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

if ($style == 'group'):
    $items = (array)vc_param_group_parse_atts($items);
    ?>
    <div class="product product-v6 product-v7 vc-category-group <?php echo esc_attr($el_class); ?>">
        <div class="wrap-blog">
            <div class="gallery gallery-restaurant clearfix">
                <div class="gallery-content">
                    <div class="row">
                        <div class="gallery-isotope col-2 ">
                            <div class="item-size "></div>
                            <?php foreach ($items as $key => $item):
                                $term_gr = get_term_by('slug', $item['gr_category'], 'product_cat');
                                if (!$term_gr) return;
                                if (isset($item['gr_photo_slider'])) {
                                    $image_gr = wp_get_attachment_image_src($item['gr_photo_slider'], 'full');
                                } else {
                                    $thumbnail_id = get_woocommerce_term_meta($term_gr->term_id, 'thumbnail_id', true);
                                    $image_gr = wp_get_attachment_image_src($thumbnail_id, 'full');
                                }
                                ?>
                                <div class="item-isotope ground <?php if ($key == 1) {
                                    echo esc_attr('margin-top');
                                } ?>">
                                    <div class="wrap-box-1">
                                        <div class="box-img">
                                            <div class="wrap-img">
                                                <a href="<?php echo esc_url(get_term_link($item['gr_category'], 'product_cat')) ?>">
                                                    <img src="<?php echo esc_url_raw($image_gr[0]); ?>"
                                                         class="img-responsive"
                                                         alt="<?php echo esc_attr($term_gr->name); ?>"></a>
                                            </div>
                                            <div class="content-item">
                                                <h5 class="title-h5"><a
                                                            href="<?php echo esc_url(get_term_link($item['gr_category'], 'product_cat')) ?>"><?php echo esc_html($item['gr_title']); ?></a>
                                                </h5>
                                            </div>
                                            <div class="text-content <?php if ($key % 2 != 0) {
                                                echo esc_attr('text-content-right');
                                            } ?>">
                                                <h5 class="title-h5"><a
                                                            href="<?php echo esc_url(get_term_link($item['gr_category'], 'product_cat')) ?>"><?php echo esc_html($item['gr_description']); ?></a>
                                                </h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                </div>
                <!-- GALLERY CONTENT -->
            </div>
        </div>
    </div>
<?php elseif ($style == 'zigzag'):
    $items = (array)vc_param_group_parse_atts($items);
    foreach ($items as $key => $item):
        $term_gr = get_term_by('slug', $item['gr_category'], 'product_cat');
        if (!$term_gr) return;
        if (isset($item['gr_photo_slider'])) {
            $image_gr = wp_get_attachment_image_src($item['gr_photo_slider'], 'full');
        } else {
            $thumbnail_id = get_woocommerce_term_meta($term_gr->term_id, 'thumbnail_id', true);
            $image_gr = wp_get_attachment_image_src($thumbnail_id, 'full');
        }
        $ct_class = 'style-contact-v' . esc_attr($key + 1) . '';
        ?>
        <div class="contact-v10 style-contact-v1 <?php echo esc_html($ct_class); ?>">
            <div class="container-ct">
                <div class="row">
                    <div class="col-xs-12 col-sm-6 col-md-6 <?php if ($key == 0) {
                        echo esc_attr('col-lg-5');
                    }
                    if (($key !== 0) && ($key % 2 == 0)) {
                        echo esc_attr('');
                    }
                    if (($key !== 0) && ($key % 2 != 0)) {
                        echo esc_attr('col-lg-6 col-sm-push-6');
                    } ?>">
                        <div class="<?php if (($key == 0) || ($key % 2 == 0)) echo esc_attr('wrap-right pull-right'); else {
                            echo esc_attr('wrap-left pull-right');
                        } ?>">
                            <a href="<?php echo esc_url(get_term_link($item['gr_category'], 'product_cat')) ?>">
                                <img src="<?php echo esc_url_raw($image_gr[0]); ?>"
                                     class="img-responsive"
                                     alt="<?php echo esc_attr($term_gr->name); ?>"></a>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-6 col-md-6 <?php if ($key == 0) {
                        echo esc_attr('col-lg-7');
                    }
                    if (($key !== 0) && ($key % 2 == 0)) {
                        echo esc_attr('');
                    }
                    if (($key !== 0) && ($key % 2 != 0)) {
                        echo esc_attr('col-lg-6 col-sm-pull-6');
                    } ?>">
                        <div class="<?php if (($key == 0) || ($key % 2 == 0)) echo esc_attr('wrap-left'); else {
                            echo esc_attr('wrap-left pull-right');
                        } ?>">
                            <p class="content-p"><?php echo esc_html($item['gr_description']); ?></p>
                            <h4>
                                <a href="<?php echo esc_url(get_term_link($item['gr_category'], 'product_cat')) ?>"><?php echo esc_html($item['gr_title']); ?></a>
                            </h4>
                            <a class="btn-web"
                               href="<?php echo esc_url(get_term_link($item['gr_category'], 'product_cat')) ?>"><?php echo esc_html__('Shop Now', 'plant'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
    endforeach;
else:
    if (!isset($category)) {
        return;
    }
    $term = get_term_by('slug', $category, 'product_cat');
    if (!$term) return;
    if (isset($image)) {
        $image = wp_get_attachment_image_src($image, 'full');
    } else {
        $thumbnail_id = get_woocommerce_term_meta($term->term_id, 'thumbnail_id', true);
        $image = wp_get_attachment_image_src($thumbnail_id, 'full');
    }
    ?>
    <div class="vc-category <?php echo esc_attr($el_class); ?>">
        <div class="list-category-banner">
            <div class="items items-cate">
                <div class="wrap-box-1">
                    <div class="box-img">
                        <a href="<?php echo esc_url(get_term_link($category, 'product_cat')) ?>">
                            <img src="<?php echo esc_url_raw($image[0]); ?>" alt="<?php echo esc_attr($term->name); ?>"
                                 class="img-responsive"/>
                        </a>
                        <div class="content-item">
                            <h5 class="title-h5"><a
                                        href="<?php echo esc_url(get_term_link($category, 'product_cat')) ?>"><?php echo esc_html($title); ?></a>
                            </h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>