<?php

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$_id = plant_fnc_makeid();
$_count = 0;


$_title = !empty($title) ? $title : plant_fnc_woocommerce_product_type_title($product_type);
$cats = explode(',', $categories);

switch ($columns) {
    case '6':
        $class_column = 'col-lg-2 col-md-4 col-sm-6 col-xs-12';
        break;
    case '5':
        $class_column = '';
        break;
    case '4':
        $class_column = 'col-md-3 col-sm-6';
        break;
    case '3':
        $class_column = 'col-md-4 col-sm-6';
        break;
    case '2':
        $class_column = 'col-md-6 col-sm-6';
        break;
    default:
        $class_column = 'col-md-12 col-sm-12';
        break;
}

?>

<div id="product-category-tab" class="product-category-tab clearfix <?php echo esc_attr($el_class); ?>">
    <div class="gallery clearfix col-xs-12">
        <div class="gallery-cat text-center ">
            <h2 class="title-h3"><?php echo trim($_title); ?></h2>
            <ul class="list-inline">
                <li class="active">
                    <a href="#all-product" data-filter="*">
                        <?php esc_html_e('All products', 'plant'); ?>
                    </a>
                </li>
                <?php foreach ($cats as $category_id): ?>
                    <?php $term = get_term_by('id', $category_id, 'product_cat', 'ARRAY_A'); ?>
                    <?php if (!empty($term) && !is_wp_error($term)): ?>
                        <li role="presentation">
                            <a href="#"
                               data-filter=".<?php echo esc_attr($term['slug']); ?>">
                                <?php echo esc_html($term['name']); ?>
                            </a>
                        </li>
                    <?php endif; ?>
                <?php endforeach; ?>
            </ul>
        </div>
        <div class="gallery-content">
                <div class="gallery-isotope col-<?php echo esc_html($columns); ?>">
                    <div class="item-size"></div>
                    <?php $loop = plant_fnc_woocommerce_query($product_type, $per_page, $cats); ?>
                    <?php while ($loop->have_posts()) : $loop->the_post();
                        global $product;

                        $str_cat = '';
                        $terms = get_the_terms( $product->get_id(), 'product_cat' );
                        foreach ($terms as $key=> $val){
                            $str_cat.=' '.$val->slug;
                        }
                        ?>

                        <div class="item-isotope clearfix <?php echo esc_html($str_cat);  ?>">
                            <div class="products-grid clearfix">
                                <?php wc_get_template_part('content', 'product-inner'); ?>
                            </div>
                        </div>
                    <?php endwhile; ?>
                    <?php wp_reset_postdata(); ?>
                    <!-- END / ITEM -->
                </div>
        </div>
        <div class="text-center">
            <?php
            $shop_page_url = get_permalink( wc_get_page_id( 'shop' ) );
            ?>
            <a class="btn-web" href="<?php echo esc_url($shop_page_url); ?>" ><?php echo esc_html__('All Products','plant'); ?></a>
        </div>

    </div>
</div>