<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */

$plant_page_layouts = apply_filters('plant_fnc_get_woocommerce_sidebar_configs', null);

$header = plant_fnc_theme_options('wc_headerlayout', 'header');


$sidebar_fullwidth = plant_fnc_theme_options('woocommerce-archive-fullwidth-sidebar', 'sidebar-default');
$sidebar_left = plant_fnc_theme_options('woocommerce-archive-left-sidebar', 'sidebar-default');
$sidebar_right = plant_fnc_theme_options('woocommerce-archive-right-sidebar', 'sidebar-default');

$layout = plant_fnc_theme_options('woocommerce-archive-layout', 'fullwidth');
if (empty($layout)) {
    $layout = 'fullwidth';
}
$status = isset($_GET['sidebar']) && !empty($_GET['sidebar']) ? $_GET['sidebar'] : 'fullwidth';
if ($status == 'left') {
    $plant_page_layouts['main']['class'] = 'col-xs-12 col-md-9 pull-right';
}
if ($status == 'right') {
    $plant_page_layouts['main']['class'] = 'col-xs-12 col-md-9';
}

if ($status == 'fullwidth') {
    if (!is_active_sidebar('sidebar-default')) {
        $plant_page_layouts['main']['class'] = 'col-xs-12';
    }
}

$check_sidebar = false;
if (isset($_GET['sidebar'])) {
    if ($_GET['sidebar'] !== 'left' && $_GET['sidebar'] !== 'right') {
        $check_sidebar = true;
    }
} else {
    $check_sidebar = true;
}


?>

<?php get_header($header); ?>
<?php if (($layout == 'fullwidth') && ($check_sidebar)): ?>
    <div class="sidebar sidebar-fixed">
        <button class="close close-filter" type="button" data-toggle="filter"><span
                    class="pe-7s-close"></span>
        </button>
        <?php dynamic_sidebar($sidebar_fullwidth); ?>
    </div>
<?php endif; ?>
    <div class="container product-search">
        <div class="row">
            <?php do_action('plant_template_main_before'); ?>
        </div>
    </div>
    <div
            class="<?php echo apply_filters('plant_template_woocommerce_main_container_class', 'container'); ?>">
        <div class="row">
            <div id="main-content"
                 class="main-content col-xs-12 <?php echo esc_attr($plant_page_layouts['main']['class']); ?>">
                <div id="primary" class="content-area">
                    <div id="content" class="site-content" role="main">
                        <?php plant_fnc_woocommerce_content(); ?>
                    </div><!-- #content -->
                </div><!-- #primary -->
            </div><!-- #main-content -->
            <?php if (is_active_sidebar('sidebar-left') || is_active_sidebar('sidebar-right')) {
                get_sidebar('content');
            } else {
                get_sidebar('sidebar-default');
            } ?>
            <?php if ($layout != 'fullwidth'): ?>
                <?php if (isset($plant_page_layouts['sidebars']) && !empty($plant_page_layouts['sidebars'])) : ?>
                    <?php get_sidebar('shop'); ?>
                <?php endif; ?>
            <?php endif; ?>
            <?php
            if ($status == 'left'):
                ?>
                <div class="col-xs-12 col-md-3 pull-left">
                    <div class="sidebar sidebar-left">
                        <?php dynamic_sidebar($sidebar_left); ?>
                    </div>
                </div>
            <?php elseif ($status == 'right'): ?>
                <div class="col-xs-12 col-md-3">
                    <div class="sidebar sidebar-right">
                        <?php dynamic_sidebar($sidebar_right); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php

get_footer();
