<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined('ABSPATH') || exit;

/**
 * Hook: woocommerce_before_main_content.
 *
 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
 * @hooked woocommerce_breadcrumb - 20
 * @hooked WC_Structured_Data::generate_website_data() - 30
 */

get_header($header);

do_action('plant_template_main_before'); ?>

    <div id="main-container"
         class="<?php echo apply_filters('plant_template_woocommerce_main_container_class', 'container'); ?>">
        <div class="row">
            <div id="main-content"
                 class="main-content col-xs-12 <?php echo esc_attr($plant_page_layouts['main']['class']); ?>">
                <div id="primary" class="content-area">
                    <div id="content" class="site-content" role="main">
                        <?php plant_fnc_woocommerce_content(); ?>
                    </div><!-- #content -->
                </div><!-- #primary -->
                <?php get_sidebar('content'); ?>
            </div><!-- #main-content -->
            <?php if (isset($plant_page_layouts['sidebars']) && !empty($plant_page_layouts['sidebars'])) : ?>
                <?php get_sidebar('shop'); ?>
            <?php endif; ?>
        </div>
    </div>
<?php

get_footer();

