<?php
global $product, $woocommerce;
$image_attributes = wp_get_attachment_image_src(get_post_thumbnail_id($product->get_id()), 'blog-thumbnails');
?>

<div class="product-block clearfix" data-product-id="<?php echo esc_attr($product->get_id()); ?>">
    <figure class="image">
        <?php woocommerce_show_product_loop_sale_flash(); ?>
        <h5 class="title-h5"><a href="<?php the_permalink(); ?>"
                                class="product-image clearfix">
                <?php
                /**
                 * woocommerce_before_shop_loop_item_title hook
                 *
                 * @hooked woocommerce_show_product_loop_sale_flash - 10
                 * @hooked woocommerce_template_loop_product_thumbnail - 10
                 */

                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
                add_action('woocommerce_before_shop_loop_item_title', 'plant_woocommerce_template_loop_product_thumbnail', 11);
                do_action('woocommerce_before_shop_loop_item_title');
                ?>
            </a></h5>
        <?php
        $cart = plant_fnc_theme_options('woo-show-minicart', 0);
        $wishlist = plant_fnc_theme_options('show-wishlist', 0);
        $quickview = plant_fnc_theme_options('is-quickview', 0);

        if (($cart == 1) || ($wishlist == 1) || $quickview == 1):
            ?>
            <div class="button-action">
                <div class="button-groups">
                    <?php if ($cart) { ?>
                        <div class="item">
                            <?php do_action('woocommerce_after_shop_loop_item'); ?>
                            <?php
                            $action_add = 'yith-woocompare-add-product';
                            $url_args = array(
                                'action' => $action_add,
                                'id' => $product->get_id()
                            );
                            ?>
                        </div>
                    <?php } ?>
                    <?php if ($wishlist && class_exists('YITH_WCWL')) { ?>
                        <div class="item">
                            <?php
                            echo do_shortcode('[yith_wcwl_add_to_wishlist]');
                            ?>
                        </div>
                    <?php } ?>
                    <?php if ($quickview && class_exists('WooCommerce')) { ?>
                        <div class="item">
                            <div class="quick-view">
                                <a href="#" class="quickview"
                                   data-productslug="<?php echo trim($product->get_slug()); ?>"
                                   data-toggle="modal" data-target="#pbr-quickview-modal">
                                    <span><i class="icon-quickview"> </i></span>
                                </a>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php endif; ?>
    </figure>
    <div class="caption">
        <div class="meta">
            <h3 class="name title-h5"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php
            /**
             * woocommerce_after_shop_loop_item_title hook
             *
             * @hooked woocommerce_template_loop_rating - 5
             * @hooked woocommerce_template_loop_price - 10
             */
            do_action('woocommerce_after_shop_loop_item_title');

            ?>
        </div>
    </div>
</div>
