<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    plant
 * @author     Engotheme Team <engotheme@gmail.com>
 * @copyright  Copyright (C) 2018 engotheme.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://engotheme.com
 * @support  http://engotheme.com.
 */

global $post, $product;
$columns = apply_filters('woocommerce_product_thumbnails_columns', 4);
$post_thumbnail_id = get_post_thumbnail_id($post->ID);
$full_size_image = wp_get_attachment_image_src($post_thumbnail_id, 'full');
$image_title = get_post_field('post_excerpt', $post_thumbnail_id);
$placeholder = has_post_thumbnail() ? 'with-images' : 'without-images';
$wrapper_classes = apply_filters(
    'woocommerce_single_product_image_gallery_classes', array(
        'woocommerce-product-gallery',
        'woocommerce-product-gallery--' . $placeholder,
        'woocommerce-product-gallery--columns-' . absint($columns),
        'images',
    )
);
$data_slick = '{"slidesToShow": 1, "slidesToScroll": 1,"focusOnSelect": true,"asNavFor": ".slider-nav"}';

$data_nav = '{
        "slidesToShow": 4, "slidesToScroll": 1, "centerMode": false,"asNavFor": ".js-slick-slider", "focusOnSelect": true, "responsive": [ {"breakpoint": 1200, "settings": {"slidesToShow": 4, "slidesToScroll": 1}},
                                {"breakpoint": 1024, "settings": {"slidesToShow": 3, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 3, "slidesToScroll": 1,"arrows":true}}]}';
?>

    <div class="<?php echo esc_attr(implode(' ', array_map('sanitize_html_class', $wrapper_classes))); ?>"
         data-columns="<?php echo esc_attr($columns); ?>">
        <figure class="woocommerce-product-gallery__wrapper js-slick-slider js-custom-slider" data-slick="<?php echo esc_attr($data_slick); ?>">
            <?php
            $attributes = array(
                'title' => $image_title,
                'data-src' => $full_size_image[0],
                'data-caption' => get_post_field('post_excerpt', $post_thumbnail_id),
                'data-large_image' => $full_size_image[0],
                'data-large_image_width' => $full_size_image[1],
                'data-large_image_height' => $full_size_image[2],
            );



            $attachment_ids = $product->get_gallery_image_ids();
            $_images = array();
            $_paginates = array();
            if (has_post_thumbnail()) {
                $_images[] = get_the_post_thumbnail($post->ID, apply_filters('single_product_large_thumbnail_size', 'full'));
                $_paginates[] = get_the_post_thumbnail($post->ID, 'woocommerce_thumbnail');
            } else {
                $_images[] = '<img src="' . wc_placeholder_img_src() . '" alt="' . esc_attr(get_bloginfo('name', 'display')) . '" />';
                $_paginates[] = '<img src="' . wc_placeholder_img_src() . '" alt="' . esc_attr(get_bloginfo('name', 'display')) . '"  />';
            }
            foreach ($attachment_ids as $attachment_id) {
                $_images[] = wp_get_attachment_image($attachment_id, 'full');
                $_paginates[] = wp_get_attachment_image($attachment_id, 'woocommerce_thumbnail');
            }

            foreach ($_images as $key => $image) { ?>
                <?php echo trim($image); ?>
            <?php } ?>

        </figure>
        <div class="slider-nav" data-slick="<?php echo esc_attr($data_nav); ?>">
            <?php
            foreach ($_paginates as $key => $image) { ?>
                <?php echo trim($image); ?>
            <?php } ?>
        </div>

    </div>

<?php do_action('plant_after_single_product_image'); ?>